Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Interface AudioMediaHandler

All Known Implementing Classes:
  MPEGMediaHandler, SoundMediaHandler, StreamMediaHandler

public interface AudioMediaHandler

Media Handler classes that implement this interface provide support for getting and setting balance in their sound output.

Method Summary
`float` | `getBalance()` Returns the balance of audio media.
`int[]` | `getSoundBassAndTreble()` Gets Sound Bass and Treble (Not Documented).
`int[]` | `getSoundEqualizerBandLevels(int count)` Gets SoundEqualizer BandLevels .
`MediaEQSpectrumBands` | `getSoundEqualizerBands(int count)` Pass in the count of bands you expect to get back, it would return the the actual value of bands available with the freq.
`LevelMeterInfo` | `getSoundLevelMeterInfo()` Gets Sound Level Meter state (Not Documented).
`boolean` | `getSoundLevelMeteringEnabled()` Gets Sound Level Meter state (Not Documented).
`void` | `setBalance(float balance)` Sets the balance of audio media.
`void` | `setSoundBassAndTreble(int bass, int treble)` Sets Sound Bass and Treble (Not Documented).
`void` | `setSoundEqualizerBands(MediaEQSpectrumBands spectrumInfo)` Pass in the count of bands you expect to get back, it would return the the actual value of bands available with array of freq.
`void` | `setSoundLevelMeteringEnabled(boolean enabled)` Enables Sound Level Meter (Not Documented).

Method Detail

### getBalance

    public float getBalance()
                     throws QTException

  Returns the balance of audio media. Range from -1.0 (Left) to 0 (Equal) to 1.0 (Right)
  QuickTime::MediaGetSoundBalance()
Returns:
  the balance value

### setBalance

    public void setBalance(float balance)
                    throws QTException

  Sets the balance of audio media. Range from -1.0 (Left) to 0 (Equal) to 1.0 (Right)
  QuickTime::MediaSetSoundBalance()
Parameters:
  `balance` - the new balance value.

### getSoundLevelMeteringEnabled

    public boolean getSoundLevelMeteringEnabled()
                                         throws QTException

  Gets Sound Level Meter state (Not Documented).
  QuickTime::MediaGetSoundLevelMeteringEnabled
Returns:
  the balance value

### setSoundLevelMeteringEnabled

    public void setSoundLevelMeteringEnabled(boolean enabled)
                                      throws QTException

  Enables Sound Level Meter (Not Documented).
  QuickTime::MediaSetSoundLevelMeteringEnabled
Parameters:
  `enabled` - true if enabled

### getSoundLevelMeterInfo

    public LevelMeterInfo getSoundLevelMeterInfo()
                                          throws QTException

  Gets Sound Level Meter state (Not Documented).
  QuickTime::MediaGetSoundLevelMeterInfo
Returns:
  LevelMeterInfo object

### getSoundEqualizerBands

    public MediaEQSpectrumBands getSoundEqualizerBands(int count)
                                                throws QTException

  Pass in the count of bands you expect to get back, it would return the the actual value of bands available with the freq. (Not Documented).
  QuickTime::MediaGetSoundEqualizerBands
Returns:
  MediaEQSpectrumBandsRecord object

### setSoundEqualizerBands

    public void setSoundEqualizerBands(MediaEQSpectrumBands spectrumInfo)
                                throws QTException

  Pass in the count of bands you expect to get back, it would return the the actual value of bands available with array of freq. (Not Documented).
  QuickTime::MediaSetSoundEqualizerBands
Returns:
  MediaEQSpectrumBandsRecord object

### setSoundBassAndTreble

    public void setSoundBassAndTreble(int bass,
                                      int treble)
                               throws QTException

  Sets Sound Bass and Treble (Not Documented). Range is -1 to 1 where 0 is unity gain, 256 is maximum boost, -256 is maximum attenuation.
  QuickTime::MediaSetSoundBassAndTreble
Parameters:
  `bass` - the sound bass
  `treble` - the sound treble

### getSoundBassAndTreble

    public int[] getSoundBassAndTreble()
                                throws QTException

  Gets Sound Bass and Treble (Not Documented). Range is -1 to 1 where 0 is unity gain, 256 is maximum boost, -256 is maximum attenuation.
  QuickTime::MediaGetSoundBassAndTreble
Returns:
  an array on length 2, containing 1st element as bass and 2nd element as treble.

### getSoundEqualizerBandLevels

    public int[] getSoundEqualizerBandLevels(int count)
                                      throws QTException

  Gets SoundEqualizer BandLevels . the levels is equal to the bands count ( from the getSoundEqualizerBands) you pass in the expected count of levels and it would return the array of levels of count length having band levels.(Not Documented)
  QuickTime::MediaGetSoundEqualizerBandLevels
Returns:
  bandLevels

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD